Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAppearanceDictionary

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAppearanceDictionary

All Implemented Interfaces:
  COSObjectable

public class PDAppearanceDictionary
extends Object
implements COSObjectable

This class represents a PDF /AP entry the appearance dictionary.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield

Constructor Summary
`PDAppearanceDictionary()` Constructor.
`PDAppearanceDictionary(COSDictionary dict)` Constructor.

Method Summary
`COSBase` | `getCOSObject()` returns the dictionary.
`COSDictionary` | `getDictionary()` returns the dictionary.
`Map` | `getDownAppearance()` This will return a list of appearances.
`Map` | `getNormalAppearance()` This will return a list of appearances.
`Map` | `getRolloverAppearance()` This will return a list of appearances.
`void` | `setDownAppearance(Map appearanceMap)` This will set a list of appearances.
`void` | `setNormalAppearance(Map appearanceMap)` This will set a list of appearances.
`void` | `setNormalAppearance(PDAppearanceStream ap)` This will set the normal appearance when there is only one appearance to be shown.
`void` | `setRolloverAppearance(Map appearanceMap)` This will set a list of appearances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDAppearanceDictionary

    public PDAppearanceDictionary()

  Constructor.

### PDAppearanceDictionary

    public PDAppearanceDictionary(COSDictionary dict)

  Constructor.

Parameters:
  `dict` - The annotations dictionary.

Method Detail

### getDictionary

    public COSDictionary getDictionary()

  returns the dictionary.

  Returns:
    the dictionary

### getCOSObject

    public COSBase getCOSObject()

  returns the dictionary.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    the dictionary

### getNormalAppearance

    public Map getNormalAppearance()

  This will return a list of appearances. In the case where there is only one appearance the map will contain one entry whose key is the string "default".

  Returns:
    A list of key(java.lang.String) value(PDAppearanceStream) pairs

### setNormalAppearance

    public void setNormalAppearance(Map appearanceMap)

  This will set a list of appearances. If you would like to set the single appearance then you should use the key "default", and when the PDF is written back to the filesystem then there will only be one stream.

  Parameters:
    `appearanceMap` - The updated map with the appearance.

### setNormalAppearance

    public void setNormalAppearance(PDAppearanceStream ap)

  This will set the normal appearance when there is only one appearance to be shown.

  Parameters:
    `ap` - The appearance stream to show.

### getRolloverAppearance

    public Map getRolloverAppearance()

  This will return a list of appearances. In the case where there is only one appearance the map will contain one entry whose key is the string "default". If there is no rollover appearance then the normal appearance will be returned. Which means that this method will never return null.

  Returns:
    A list of key(java.lang.String) value(PDAppearanceStream) pairs

### setRolloverAppearance

    public void setRolloverAppearance(Map appearanceMap)

  This will set a list of appearances. If you would like to set the single appearance then you should use the key "default", and when the PDF is written back to the filesystem then there will only be one stream.

  Parameters:
    `appearanceMap` - The updated map with the appearance.

### getDownAppearance

    public Map getDownAppearance()

  This will return a list of appearances. In the case where there is only one appearance the map will contain one entry whose key is the string "default". If there is no rollover appearance then the normal appearance will be returned. Which means that this method will never return null.

  Returns:
    A list of key(java.lang.String) value(PDAppearanceStream) pairs

### setDownAppearance

    public void setDownAppearance(Map appearanceMap)

  This will set a list of appearances. If you would like to set the single appearance then you should use the key "default", and when the PDF is written back to the filesystem then there will only be one stream.

  Parameters:
    `appearanceMap` - The updated map with the appearance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD